Subject: RE: bug#11178: 24.0.94; Elisp manual: add index entries for :link LINK-DATA alternatives

From: "Drew Adams" <[email-masked]>
Date: Tue, 10 Apr 2012 23:27:43 -0700

> > (elisp) Common Keywords should be indexed for each of the LINK-DATA
> > alternatives: `custom-manual', `info-link', `url-link',
> > `emacs-commentary-link', `emacs-library-link', `file-link',
> > `function-link', `variable-link', and `custom-group-link'.
> 
> No.  That makes no sense---there's already an index entry for adding
> links to custom docs.  I don't want to pollute the index with entries
> listing every possible value for what's just a keyword.  (Though I
> eagerly await the coming long-form article arguing against this.)

These are reference entries.  No different from indexing individual function
names or individual button properties.

We don't use the argument that just because there is an index entry for the
general topic of Apropos in the Emacs manual there should not also be entries
for the individual apropos commands.  Etc.